> ## Documentation Index
> Fetch the complete documentation index at: https://docs.creatok.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List jobs for the authenticated organization



## OpenAPI

````yaml /api-reference/openapi.json get /jobs
openapi: 3.1.0
info:
  title: CreatOK API
  version: 1.0.0
  description: >-
    Asynchronous media generation API. Authenticate with an organization API
    key.
servers:
  - url: https://api.creatok.ai/v1
security: []
paths:
  /jobs:
    get:
      summary: List jobs for the authenticated organization
      operationId: listJobs
      parameters:
        - name: status
          in: query
          description: Comma-separated job statuses.
          schema:
            type: string
            example: queued,running
        - name: api_key_id
          in: query
          schema:
            type: integer
            minimum: 1
        - name: created_after
          in: query
          schema:
            type: string
            format: date-time
        - name: created_before
          in: query
          schema:
            type: string
            format: date-time
        - name: limit
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 20
        - name: cursor
          in: query
          schema:
            type: string
      responses:
        '200':
          description: A page of jobs.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobList'
        '400':
          description: Request failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Request failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Request failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - ApiKey: []
components:
  schemas:
    JobList:
      $schema: https://json-schema.org/draft/2020-12/schema
      type: object
      properties:
        object:
          type: string
          const: list
        data:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              object:
                type: string
                const: job
              capability:
                type: string
              model:
                anyOf:
                  - type: string
                  - type: 'null'
              status:
                type: string
                enum:
                  - queued
                  - running
                  - succeeded
                  - failed
                  - canceled
              input:
                type: object
                propertyNames:
                  type: string
                additionalProperties: {}
              output:
                type: object
                properties:
                  files:
                    type: array
                    items:
                      type: object
                      properties:
                        type:
                          type: string
                        url:
                          type: string
                      required:
                        - type
                        - url
                      additionalProperties: false
                required:
                  - files
                additionalProperties: false
              cost:
                type: object
                properties:
                  amount_usd:
                    type: string
                  refunded_usd:
                    type: string
                required:
                  - amount_usd
                  - refunded_usd
                additionalProperties: false
              error:
                anyOf:
                  - type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                    required:
                      - code
                      - message
                    additionalProperties: false
                  - type: 'null'
              metadata:
                type: object
                propertyNames:
                  type: string
                additionalProperties: {}
              created_at:
                type: string
              completed_at:
                anyOf:
                  - type: string
                  - type: 'null'
              expires_at:
                anyOf:
                  - type: string
                  - type: 'null'
            required:
              - id
              - object
              - capability
              - model
              - status
              - input
              - output
              - cost
              - error
              - metadata
              - created_at
              - completed_at
              - expires_at
            additionalProperties: false
        has_more:
          type: boolean
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - object
        - data
        - has_more
        - next_cursor
      additionalProperties: false
    Error:
      $schema: https://json-schema.org/draft/2020-12/schema
      type: object
      properties:
        error:
          type: object
          properties:
            type:
              type: string
            code:
              type: string
            message:
              type: string
            param:
              type: string
            request_id:
              type: string
          required:
            - type
            - code
            - message
            - request_id
          additionalProperties: false
      required:
        - error
      additionalProperties: false
  securitySchemes:
    ApiKey:
      type: http
      scheme: bearer
      bearerFormat: CreatOK organization API key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.